Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513173 - Review Request: ghc-http-media - Processing HTTP Content-Type and Accept headers
Summary: Review Request: ghc-http-media - Processing HTTP Content-Type and Accept headers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1514057 1514164
TreeView+ depends on / blocked
 
Reported: 2017-11-14 21:34 UTC by David Shea
Modified: 2017-11-28 23:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 16:22:42 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description David Shea 2017-11-14 21:34:24 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-http-media/ghc-http-media.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00611292-ghc-http-media/ghc-http-media-0.7.1.1-1.fc27.src.rpm
Description: This library is intended to be a comprehensive solution to parsing and
selecting quality-indexed values in HTTP headers. It is capable of parsing both
media types and language parameters from the Accept and Content header
families, and can be extended to match against other accept headers as well.
Selecting the appropriate header value is achieved by comparing a list of
server options against the quality-indexed values supplied by the client.

In the following example, the Accept header is parsed and then matched against
a list of server options to serve the appropriate media using 'mapAcceptMedia':

> getHeader >>= maybe send406Error sendResourceWith . mapAcceptMedia > [
("text/html", asHtml) > , ("application/json", asJson) > ]

Similarly, the Content-Type header can be used to produce a parser for request
bodies based on the given content type with 'mapContentMedia':

> getContentType >>= maybe send415Error readRequestBodyWith .
mapContentMedia > [ ("application/json", parseJson) > , ("text/plain",
parseText) > ]

The API is agnostic to your choice of server.

Fedora Account System Username: dshea

Comment 1 Omer Anson 2017-11-15 03:26:04 UTC
rpmlint on the src rpm says:
Error checking signature of ./1513173-ghc-http-media/srpm/ghc-http-media-0.7.1.1-1.fc27.src.rpm: ./1513173-ghc-http-media/srpm/ghc-http-media-0.7.1.1-1.fc27.src.rpm: digests SIGNATURES NOT OK

with rpm -Kv adding:
    Header V3 RSA/SHA1 Signature, key ID 76551145: NOKEY
    V3 RSA/SHA1 Signature, key ID 76551145: NOKEY

Change log in spec file does not match change log on package site.

Comment 2 Matthias Runge 2017-11-15 08:10:49 UTC
> Change log in spec file does not match change log on package site.

That is expected. The changelog in the spec file is for the spec, not for upstream tarball.

Comment 3 David Shea 2017-11-15 15:18:48 UTC
(In reply to Omer Anson from comment #1)
> rpmlint on the src rpm says:
> Error checking signature of
> ./1513173-ghc-http-media/srpm/ghc-http-media-0.7.1.1-1.fc27.src.rpm:
> ./1513173-ghc-http-media/srpm/ghc-http-media-0.7.1.1-1.fc27.src.rpm: digests
> SIGNATURES NOT OK
> 
> with rpm -Kv adding:
>     Header V3 RSA/SHA1 Signature, key ID 76551145: NOKEY
>     V3 RSA/SHA1 Signature, key ID 76551145: NOKEY

Same as in bug 1513175, the SRPM is signed but not with a Fedora key because it is not yet a Fedora package.

Comment 4 Robert-André Mauchin 2017-11-15 16:50:16 UTC
All ok, package accepted.

Comment 5 Gwyn Ciesla 2017-11-15 18:23:00 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-http-media

Comment 6 Fedora Update System 2017-11-17 18:54:08 UTC
ghc-http-media-0.7.1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-883b66b201

Comment 7 Fedora Update System 2017-11-18 01:43:51 UTC
ghc-http-media-0.7.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-488dc15c16

Comment 8 Fedora Update System 2017-11-28 16:22:42 UTC
ghc-http-media-0.7.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-11-28 23:49:34 UTC
ghc-http-media-0.7.1.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.